Entity Framework Core 3.1 Support in dotConnect Providers

December 23rd, 2019

Devart is glad to announce the release of the new versions of dotConnect ADO.NET data providers. New versions of Devart products offer you support for Entity Framework Core 3.1.

After Microsoft released Entity Framework 3 only for .NET Core 3 (.NET Standard 2.1), it caused certain criticism because of not supporting Full .NET Framework. Microsoft reacted to this criticism by making Entity Framework Core 3.1 compatible with .NET Standard 2.0, and thus, allowing developers to use it in projects, targeting Full .NET Framework as well as .NET Core.

So finally we also can support Entity Framework Core 3 for Full .NET Framework too, and we have added this support to all of our ADO.NET providers for cloud apps and for major databases.

All dotConnect providers with ORM support now include a new Devart.Data.<provider>.Entity.EFCore.dll assembly for Entity Framework Core 3.1 support on Full .NET Framework. You can find it in the \Entity\EFCore3 subfolder of the provider installation folder.

Our products also keep supporting Entity Framework 6, and we have updated them to support Entity Framework 6.4. Entity Developer, our visual ORM model designer and code generation tool, also supports Entity Framework 6.4 and Entity Framework Core 3.1.

List of Providers with Entity Framework Core 3.1 Support

ADO.NET Providers for Databases

ADO.NET Providers for Cloud Applications

Leave a Comment